4480 entries · page 10 of 90

Attribute types

The fields an entry can hold: cn, mail, uidNumber, and several hundred more. Each has a syntax, matching rules, and an OID.

OIDNameDefined in
1.2.840.113556.1.4.812createWizardExt Create-Wizard-Ext
1.3.6.1.1.1.1.55creationDate
1.2.840.113556.1.4.26creationTime Creation-Time
1.2.840.113556.1.4.498creationWizard Creation-Wizard
1.2.840.113556.1.4.679creator Creator
2.5.18.3creatorsNameRFC 4512
1.3.6.1.4.1.11.1.3.1.1.10credentialLevelRFC 4876
1.2.840.113556.1.4.689cRLObject CRL-Object
1.2.840.113556.1.4.683cRLPartitionedRevocationList CRL-Partitioned-Revocation-List
2.5.4.40crossCertificatePair Cross-Certificate-PairRFC 4523, RFC 2256
1.3.6.1.1.1.1.97crschallenge
1.2.840.113556.1.4.335currentLocation Current-Location
1.2.840.113556.1.4.696currentParentCA Current-Parent-CA
1.2.840.113556.1.4.27currentValue Current-Value
1.2.840.113556.1.4.337currMachineId Curr-Machine-Id
1.2.840.113556.1.4.55dBCSPwd DBCS-Pwd
0.9.2342.19200300.100.1.25DC domainComponent, dc, domaincomponent, Domain-ComponentRFC 4519, RFC 1274
1.2.840.113556.1.4.213defaultClassStore Default-Class-Store
1.2.840.113556.1.4.518defaultHidingValue Default-Hiding-Value
1.2.840.113556.1.4.57defaultLocalPolicyObject Default-Local-Policy-Object
1.2.840.113556.1.4.783defaultObjectCategory Default-Object-Category
1.2.840.113556.1.4.232defaultPriority Default-Priority
1.3.6.1.4.1.11.1.3.1.1.1defaultSearchBaseRFC 4876
1.3.6.1.4.1.11.1.3.1.1.12defaultSearchScopeRFC 4876
1.2.840.113556.1.4.224defaultSecurityDescriptor Default-Security-Descriptor
1.3.6.1.4.1.11.1.3.1.1.0defaultServerListRFC 4876
2.5.4.73delegationPath
2.16.840.1.113730.3.1.10deleteOldRdn deleteOldRDN
1.3.6.1.4.1.36733.2.1.1.81deleteRequests
1.3.6.1.4.1.36733.2.1.1.82deleteResponses
1.3.6.1.4.1.7914.1.2.1.10deliveryMode
1.3.6.1.4.1.7914.1.2.1.8deliveryProgramPath
2.5.4.53deltaRevocationList Delta-Revocation-ListRFC 4523, RFC 2256
1.2.840.113556.1.2.141department Department
2.16.840.1.113730.3.1.2departmentNumberRFC 2798
1.3.6.1.4.1.11.1.3.1.1.16dereferenceAliasesRFC 4876
2.5.4.13description Description Free-form text, and the most abused attribute in any directory. It starts as a human note and ends up holding parseable …RFC 4519
1.2.840.113556.1.4.346desktopProfile Desktop-Profile
2.5.4.27destinationIndicator Destination-IndicatorRFC 4519, RFC 2256
1.3.6.1.4.1.4203.666.11.8.1.2dgAuthz
1.3.6.1.4.1.4203.666.11.8.1.1dgIdentity
1.3.6.1.4.1.4203.666.11.8.1.3dgMemberOf
1.3.6.1.4.1.2428.20.1.49DHCIDRecord dHCIDRecord
2.16.840.1.113719.1.203.4.22dhcpAddressState
2.16.840.1.113719.1.203.4.30dhcpAssignedHostName
2.16.840.1.113719.1.203.4.32dhcpAssignedToClient
2.16.840.1.113719.1.203.4.26dhcpBootpFlag
2.16.840.1.113719.1.203.4.8dhcpClassData
1.2.840.113556.1.4.715dhcpClasses dhcp-Classes
2.16.840.1.113719.1.203.4.16dhcpClassesDN
← All categories